# TabulatedFunction Class Reference

A TabulatedFunction uses a set of tabulated values to define a mathematical function. More...

`#include <TabulatedFunction.h>`

Inheritance diagram for TabulatedFunction:

List of all members.

## Public Member Functions

virtual | ~TabulatedFunction ()
virtual TabulatedFunction * | Copy () const =0

## Detailed Description

A TabulatedFunction uses a set of tabulated values to define a mathematical function.

It can be used by various custom forces.

TabulatedFunction is an abstract class with concrete subclasses for more specific types of functions. There are subclasses for:

- 1, 2, and 3 dimensional functions. The dimensionality of a function means the number of input arguments it takes.
- Continuous and discrete functions. A continuous function is interpolated by fitting a natural cubic spline to the tabulated values. A discrete function is only defined for integer values of its arguments (that is, at the tabulated points), and does not try to interpolate between them. Discrete function can be evaluated more quickly than continuous ones.

## Constructor & Destructor Documentation

virtual ~TabulatedFunction | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual TabulatedFunction* Copy | ( |  | ) | const`[pure virtual]`

Implemented in Continuous1DFunction, Continuous2DFunction, Continuous3DFunction, Discrete1DFunction, Discrete2DFunction, and Discrete3DFunction.

The documentation for this class was generated from the following file:

- TabulatedFunction.h